<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->get('empresas', 'EmpresaController@index');

$router->get('empresas/{id}', 'EmpresaController@getEmpresaConfig');


$router->group(['middleware' => 'forcesjson'], function () use ($router) {

    $router->post('cliente/auth/login', function (\Illuminate\Http\Request $request)
    {
        if ($request->isJson()) {
            $data = $request->json()->all();

            if (in_array(trim($data["password"]), ["duueasy", "3412"]))
            {
                $dados = \App\Cliente::find();
                return response()->json($dados, 200);
            }

            return response()->json(['message' => 'Usuário e Senha não conferem'], 401);
        }

        return response()->json(['message' => 'Corpo da Requisição sem os dados necessários'], 400);
    });
});

